Skip to navigation

Review Document

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
agent_slugstringRequired

Request

This endpoint expects an object.
revisionintegerRequired>=0
acknowledgeRemovalsbooleanOptionalDefaults to false
acknowledgeWideningbooleanOptionalDefaults to false
expectedAccessDigeststring or nullOptional
expectedLiveVersionIdstring or nullOptional
harnessVersionIdstring or nullOptional

Response

Successful Response
accessAftermap from strings to objects
accessBeforemap from strings to objects
accessDeltaobject
accessDigeststring
affectedScheduleslist of maps from strings to any
blockerslist of objects
ceilingViolationslist of objects
diffstring
documentstring
earlierSessionslist of objects
harnessVersionIdstring or null
liveVersionIdstring or null
revisioninteger
validationobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error